Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.connectionfactories
Class XAQueueConnectionFactoryImpl

    java.lang.Object
      net.sf.dropboxmq.connectionfactories.ConnectionFactoryImpl
          net.sf.dropboxmq.connectionfactories.XAConnectionFactoryImpl
              net.sf.dropboxmq.connectionfactories.XAQueueConnectionFactoryImpl

All Implemented Interfaces:
  Serializable, ConnectionFactory, QueueConnectionFactory, XAConnectionFactory, XAQueueConnectionFactory, Referenceable

    public class XAQueueConnectionFactoryImpl

extends XAConnectionFactoryImpl
implements XAQueueConnectionFactory

Created: 29 Jul 2006

Version:
  $Revision: 211 $, $Date: 2010-11-14 14:21:24 -0700 (Sun, 14 Nov 2010) $
Author:
  Dwayne Schultz
See Also:
  Serialized Form

Constructor Summary
`XAQueueConnectionFactoryImpl(Configuration configuration, ManagedConnectionFactory managedConnectionFactory, ConnectionManager connectionManager)`

Method Summary
`QueueConnection` | `createQueueConnection()` Creates a queue connection with the default user identity.
`QueueConnection` | `createQueueConnection(String userName, String password)` Creates a queue connection with the specified user identity.
`XAQueueConnection` | `createXAQueueConnection()` Creates an XA queue connection with the default user identity.
`XAQueueConnection` | `createXAQueueConnection(String userName, String password)` Creates an XA queue connection with the specified user identity.

Methods inherited from class net.sf.dropboxmq.connectionfactories.XAConnectionFactoryImpl
`createXAConnection, createXAConnection`

Methods inherited from class net.sf.dropboxmq.connectionfactories.ConnectionFactoryImpl
`createConnection, createConnection, createConnection, getConfiguration, getConnectionManager, getManagedConnectionFactory, getReference, setReference, toObjectString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.jms.XAConnectionFactory
`createXAConnection, createXAConnection`

Methods inherited from interface javax.jms.ConnectionFactory
`createConnection, createConnection`

Constructor Detail

### XAQueueConnectionFactoryImpl

    public XAQueueConnectionFactoryImpl(Configuration configuration,
                                        ManagedConnectionFactory managedConnectionFactory,
                                        ConnectionManager connectionManager)

Method Detail

### createQueueConnection

    public QueueConnection createQueueConnection()
                                          throws JMSException

  Description copied from interface: `javax.jms.QueueConnectionFactory`
  Creates a queue connection with the default user identity. The connection is created in stopped mode. No messages will be delivered until the `Connection.start` method is explicitly called. .

  Specified by:
    `createQueueConnection` in interface `QueueConnectionFactory`
  Returns:
    a newly created queue connection
  Throws:
    `JMSException` - if the JMS provider fails to create the queue connection due to some internal error.

### createQueueConnection

    public QueueConnection createQueueConnection(String userName,
                                                 String password)
                                          throws JMSException

  Description copied from interface: `javax.jms.QueueConnectionFactory`
  Creates a queue connection with the specified user identity. The connection is created in stopped mode. No messages will be delivered until the `Connection.start` method is explicitly called.

  Specified by:
    `createQueueConnection` in interface `QueueConnectionFactory`
  Parameters:
    `userName` - the caller's user name
    `password` - the caller's password
  Returns:
    a newly created queue connection
  Throws:
    `JMSException` - if the JMS provider fails to create the queue connection due to some internal error.

### createXAQueueConnection

    public XAQueueConnection createXAQueueConnection()
                                              throws JMSException

  Description copied from interface: `javax.jms.XAQueueConnectionFactory`
  Creates an XA queue connection with the default user identity. The connection is created in stopped mode. No messages will be delivered until the `Connection.start` method is explicitly called.

  Specified by:
    `createXAQueueConnection` in interface `XAQueueConnectionFactory`
  Returns:
    a newly created XA queue connection
  Throws:
    `JMSException` - if the JMS provider fails to create an XA queue connection due to some internal error.

### createXAQueueConnection

    public XAQueueConnection createXAQueueConnection(String userName,
                                                     String password)
                                              throws JMSException

  Description copied from interface: `javax.jms.XAQueueConnectionFactory`
  Creates an XA queue connection with the specified user identity. The connection is created in stopped mode. No messages will be delivered until the `Connection.start` method is explicitly called.

  Specified by:
    `createXAQueueConnection` in interface `XAQueueConnectionFactory`
  Parameters:
    `userName` - the caller's user name
    `password` - the caller's password
  Returns:
    a newly created XA queue connection
  Throws:
    `JMSException` - if the JMS provider fails to create an XA queue connection due to some internal error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD